org.apache.ode.bpel.pmapi

## Interface TProcessInfo.Documents

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TProcessInfoImpl.DocumentsImpl
  Enclosing interface:
    TProcessInfo

      public static interface TProcessInfo.Documents
      extends org.apache.xmlbeans.XmlObject

  An XML documents(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TProcessInfo.Documents.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TDocumentInfo` | `addNewDocument()` Appends and returns a new empty value (as xml) as the last "document" element
    `TDocumentInfo[]` | `getDocumentArray()` Gets array of all "document" elements
    `TDocumentInfo` | `getDocumentArray(int i)` Gets ith "document" element
    `TDocumentInfo` | `insertNewDocument(int i)` Inserts and returns a new empty value (as xml) as the ith "document" element
    `void` | `removeDocument(int i)` Removes the ith "document" element
    `void` | `setDocumentArray(int i, TDocumentInfo document)` Sets ith "document" element
    `void` | `setDocumentArray(TDocumentInfo[] documentArray)` Sets array of all "document" element
    `int` | `sizeOfDocumentArray()` Returns number of "document" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getDocumentArray

          TDocumentInfo[] getDocumentArray()

      Gets array of all "document" elements

    - #### getDocumentArray

          TDocumentInfo getDocumentArray(int i)

      Gets ith "document" element

    - #### sizeOfDocumentArray

          int sizeOfDocumentArray()

      Returns number of "document" element

    - #### setDocumentArray

          void setDocumentArray(TDocumentInfo[] documentArray)

      Sets array of all "document" element

    - #### setDocumentArray

          void setDocumentArray(int i,
                                TDocumentInfo document)

      Sets ith "document" element

    - #### insertNewDocument

          TDocumentInfo insertNewDocument(int i)

      Inserts and returns a new empty value (as xml) as the ith "document" element

    - #### addNewDocument

          TDocumentInfo addNewDocument()

      Appends and returns a new empty value (as xml) as the last "document" element

    - #### removeDocument

          void removeDocument(int i)

      Removes the ith "document" element